<?php

require_once 'connect.php';
require_once 'inc/messages.php';

// retorna array com lista de módulos, ou false se deu erro
function tipos_frete_getAll() {
  global $conexao;
  $sql = 'select * from erpc_tipos_frete where st_ativo=?';
  $values[] = '1';
  $result = _prepareAndQuery($sql, $values);
  return $result;
}

// retorna array associativo com objeto, ou false se deu erro/não encontrar
function tipos_frete_getById($id) {
  global $conexao;
  $sql = 'select * from erpc_tipos_frete where id=? and st_ativo=1';
  $values[] = $id;
  $result = _prepareAndQuery($sql, $values);
  if ($result !== false) {
    if (count($result) === 1) {
      $result = $result[0];
    } else {
      $result = false;
      addError('Id não encontrado');
    }
  }

  return $result;
}

// insere novo módulo
function tipos_frete_insert($tipos_frete, &$error=null) {
  global $conexao;
  $ok = false;
  $sql = 'insert into erpc_tipos_frete ';
  $campos = array('ds_frete', 'st_ativo');
  $values = array();
  foreach($campos as $campo) {
    $values[] = $tipos_frete[$campo];
  }
  $sql .= '(' . implode(',', $campos) . ') values (' . trim(str_repeat('?,', count($values)), ',') . ')';

  $ok = _prepareAndExecute($sql, $values, $error);
  if ($ok !== false) {
    if ($error === null) {
      addMessage('Inserido com sucesso');
    }
  }
  return $ok;
}

// altera a senha do usuário
function tipos_frete_update($tipos_frete) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_tipos_frete set ';
  $campos = array('ds_frete');
  $values = array();
  foreach($campos as $campo) {
    $sql .= $campo . '=?,';
    $values[] = $tipos_frete[$campo];
  }
  $sql = trim($sql, ',');
  $sql .= ' where id = ?';
  $values[] = $tipos_frete['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Atualizado com sucesso');
  }
  return $ok;
}

function tipos_frete_delete($tipos_frete) {
  global $conexao;
  $ok = false;
  $sql = 'update erpc_tipos_frete set st_ativo = 0';
  $values = array();
  $sql .= ' where id = ?';
  $values[] = $tipos_frete['id'];
  $ok = _prepareAndExecute($sql, $values);
  if ($ok !== false) {
    addMessage('Removido com sucesso');
  }
  return $ok;
}

function tipos_frete_create() {
  $tipos_frete = array(
    'id' => '',
    'ds_frete' => '',
    'st_ativo' => '1',
  );
  return $tipos_frete;
}
